<?php
//session_start();
ini_set('display_errors', 'On');

require ('xajax/xajax.inc.php');
$xajax = new xajax();
include ('librerias/parsedown/Parsedown.php');
require ('funciones/funciones.php');
require ('funciones/convert.php');
//require ("includes/markdown.php");
require ("funciones/conex.php");
@$datos['id']=$_REQUEST['id'];
@$datos['identificador']=$_REQUEST['identificador'];
@$datos['dato']=$_REQUEST['dato'];
@$datos['inicio']=$_REQUEST['inicio'];
@$datos['fin']=$_REQUEST['fin'];
@$datos['tipo']=$_REQUEST['tipo'];
@$datos['registros']=$_REQUEST['registros'];
@$datos['pagina']=$_REQUEST['pagina'];
@$datos['proyecto']=$_REQUEST['proyecto'];
if($datos['proyecto']==""){
	$proyecto= remplacetas('form_id','id',$datos['id'],'id_empresa',"") ;
	$datos['proyecto']= $proyecto[0] ;

	}
@$datos['formato']=$_REQUEST['formato'];
if(isset($_REQUEST['debug'])) {ini_set('display_errors', 'On');
}

if(isset($_REQUEST['formato'])){
//	if($_REQUEST['formato']=='li'){
		//$array = aplicaciones_listado($datos['id'],'','array','');
		//print_r($array);//echo "hola li";
		$json=  json($datos);
		$array = json_decode($json);

		echo array_linea($array,$_REQUEST['formato'],$_REQUEST['id'])." ";
		//echo "".build_list($array,$_REQUEST['formato'],$_REQUEST['id']);
		//echo $json;
		//echo planilla($datos['id'],$datos['registros'],"dinamico");
//		}


	}else{
header('Content-Type: application/json');
//echo "hola  /// $_REQUEST[id] // " ;

//echo " <pre>".print_r($datos)."</pre>";
echo json($datos);
}
?>
